import java.io.*;
import java.util.*;
import Text;

class Author {
  private String AuthorName;
  private Initials Inits;
  private int NumTitles = 0;

  // PRE  TRUE
  // POST Prompts user for details
  //      and RETURNS new Author constructed from details
  public Author(BufferedReader In) {

    System.out.print("\nSurname ==> ");
    AuthorName = Text.ReadString(In);
    System.out.print("\nInitials ==> ");
    Inits = new Initials(In);
    NumTitles = 0;
  }

  // PRE  TRUE
  // POST RETURNS String representation of Author
  public String toString() {
    String Result;

    Result = "NAME :  " + AuthorName + " " + Inits.toString() + "\n";
    Result = Result + "Number of titles is " + NumTitles;
    return(Result);
  }

  // PRE  TRUE
  // POST RETURNS name of this
  public String Get_Name() {

    return(AuthorName);
  }

  // PRE  TRUE
  // POST RETURNS initials of this
  public Initials Get_Inits() {

    return(Inits);
  }

  // PRE  TRUE
  // POST RETURNS number of titles of of this
  public int Get_Num_Titles() {

    return(NumTitles);
  }

  // PRE  TRUE
  // POST IF this has same Name and Inits
  //        RETURNS TRUE
  //      ELSE
  //        RETURNS FALSE
   public boolean Q_Author_Id(String Name, Initials Inits) {

    return((AuthorName.compareTo(Name) == 0) && (this.Inits.Q_Equals(Inits)));
  }

  // PRE TRUE
  // POST Increments number of titles
  public void IncTitles() {
    NumTitles++;
  }
}

