import java.io.*;
import Text;

public class EducationalResource {
  private String Number;
  private OurDate ReturnDate;
  private OurDuration LoanDuration;

  // PRE  TRUE
  // POST Prompts user for details
  //      and RETURNS new EducationalResource constructed from details
  public EducationalResource(String Title, BufferedReader In) {

    System.out.print("\nTitle ==> ");
    Title = Text.ReadString(In);
    this.Title = Title;
    Auth.IncTitles();    
  }

  // PRE  TRUE
  // POST RETURNS Title of this
  public String Get_Title() {

    return(Title);
  }

  // PRE  TRUE
  // POST RETURNS Number of this
  public int Get_Number() {

    return(Number);
  }
}

Class Book

import java.io.*;
import Author;
import Text;

public class Book extends EducationalResource{
  private String  Title;
  private Author  Auth;
  private int ISBN;



  // PRE  TRUE
  // POST Prompts user for details other than Auth
  //      and RETURNS new Book constructed from details
  public Book(Author Auth, BufferedReader In) {

    System.out.print("\nTitle ==> ");
    Title = Text.ReadString(In);
    this.Auth = Auth;
    Auth.IncTitles();    
  }

  // PRE  TRUE
  // POST RETURNS Author of this
  public Author Get_Author() {

    return(Auth);
  }

  // PRE  TRUE
  // POST RETURNS Title of this
  public String Get_Title() {

    return(Title);
  }

  // PRE  TRUE
  // POST RETURNS ISBN of this
  public int Get_ISBN() {

    return(ISBN);
  }

  // PRE  TRUE
  // POST RETURNS String representation of Book
  public String toString() {
    String Result;

    Result = "TITLE :  " + Title + "\n";
    Result = Result + "AUTHOR\n" + Auth.toString() + "\n";
    return(Result);
  }

  // PRE  TRUE
  // POST IF this is fiction
  //        RETURNS TRUE
  //      ELSE
  //        RETURNS FALSE
  public boolean Q_Fict() {

    return(false);
  }

  // PRE  TRUE
  // POST IF this is non fiction
  //        RETURNS TRUE
  //      ELSE
  //        RETURNS FALSE
  public boolean Q_NonFict() {

    return(false);
  }
}

