import java.io.*;
import Text;


public class Loanable extends NonFict {
  boolean Q_OnLoan = false;
  int BorrowerNum;

  // PRE  TRUE
  // POST Prompts user for details other than Author
  //      and RETURNS new Loanable constructed from details
  public Loanable(Author Author, BufferedReader In) {

    super(Author, In);
  }

  // PRE  NOT Q_On_Loan()
  // POST this now shown as on loan to borrower BorrowerNum
  public void Do_Loan(int BorrowerNum) {

    this.BorrowerNum = BorrowerNum;
    Q_OnLoan = true;
  }

  // PRE  Q_On_Loan()
  // POST this now shown as not on loan
  public void Do_Return() {

    Q_OnLoan = false;
  }

  // PRE  TRUE
  // POST IF this is on loan
  //        RETURNS TRUE
  //      ELSE
  //        RETURNS FALSE
  public boolean Q_OnLoan() {

    return(Q_OnLoan);
  }

  public boolean Q_Loanable() {

    return(true);
  }

  // PRE  TRUE
  // POST RETURNS String representation this
  public String toString() {
    String Result;

    Result = super.toString();
    if (Q_OnLoan) {
      Result = Result + "\nBORROWER : " + BorrowerNum;
    }
    return(Result);
  }
}

